local hexes={hexagonData={}} -- stores the 'type' of hexagon for each hexagon in the grid.
hexes.__index=hexes
local materialDesignColors=require 'lib/MaterialDesign/colors'
function hexes.randomType()
	local names={
		"water",
		"fire",
		"earth"
	}
	local colors={
		["water"]=materialDesignColors["blue"]["300"],
		["fire"]=materialDesignColors["red"]["300"],
		["earth"]=materialDesignColors["brown"]["300"]
	}
	local name = names[love.math.random(1,#names)] 
	local color = colors[name]
	return {
		["name"] = name,
		["color"]= color
	}
end

function hexes.findHexagon(hexagon)
	for iter, hexa in pairs(hexes.hexagonData) do
		if hexagon==hexa["hex"] then
			return true
		end
	end
	return false -- If the loop finishes, then we know that none of them matched.
end

function hexes.getHexagon(hexagon)
	for iter, hexa in pairs(hexes.hexagonData) do
		if hexagon==hexa["hex"] then
			return hexa
		end
	end
	return nil
end
return hexes